apiVersion: batch/v1
kind: Job
metadata:
  name: test-connexion-s3
  labels:
    job-name: test-connexion-s3
spec:
  backoffLimit: 6
  completions: 1
  parallelism: 1
  ttlSecondsAfterFinished: 300
  template:
    metadata:
      labels:
        job-name: test-connexion-s3
    spec:
      containers:
        - image: gitlab-registry.com/...
          name: backup-redis-etherpad
          env:
          - name: URL
            valueFrom:
              secretKeyRef:
                name: s3-credentials
                key: url
          - name: ACCESSKEY
            valueFrom:
              secretKeyRef:
                name: s3-credentials
                key: accessKey
          - name: SECRETKEY
            valueFrom:
              secretKeyRef:
                name: s3-credentials
                key: secretKey
      restartPolicy: Never

